using System;

class Program
{
    static void Main()
    {
        string[] s = Console.ReadLine().Split();
        int N = int.Parse(Console.ReadLine());
        int L = int.Parse(Console.ReadLine());
        int index = -1;

        s = Console.ReadLine().Split();
        for(int i = 1; i <= N; i++)
        {
            if(int.Parse(s[i]) <= L)
            {
                index = i;
            }
        }
        Console.WriteLine(index);
    }
}